Vous avez reçu un message "Your GitLab account has been locked ..." ? Pas d'inquiétude : lisez cet article https://docs.gricad-pages.univ-grenoble-alpes.fr/help/unlock/

Commit 5ba77c6c authored by promayon's avatar promayon
Browse files

NEW CEP can now be package (tested source package only using "make package_source" in CEP builddir)


git-svn-id: svn+ssh://scm.forge.imag.fr/var/lib/gforge/chroot/scmrepos/svn/camitk/trunk/camitk@695 ec899d31-69d1-42ba-9299-647d76f65fb3
parent ac3092e8
......@@ -64,25 +64,30 @@ set(CPACK_RESOURCE_FILE_LICENSE "${CAMITK_SOURCE_DIR}/COPYRIGHT")
set(CPACK_PACKAGE_EXECUTABLES "camitk-imp" "camitk-imp" "camitk-actionstatemachine" "camitk-actionstatemachine")
# CamiTK package description
#set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "CamiTK user package.")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "CamiTK stands for Computer Assisted Medical Intervention Tool Kit and aims at providing an easy way to protype medical applications. CamiTK functionnalities are extendable thanks to plugins. This package includes the IMP application with main plugins that allow users to interact with medical images (2D, 3D), process them and simulate biomechanichal deformations. It also includes the actionstatemachine application that allows user to easily run a pipelines of algorithms on images.")
# Files to ignore during generation of the package
set(CPACK_SOURCE_IGNORE_FILES
"~$"
"/CVS/"
"tags"
"/\\\\.svn/"
"/\\\\.git/"
"/kdev4$/"
"/build/"
"\\\\.kdevses$"
"\\\\.kdev4$"
"\\\\.kdevelop\\\\.pcs$"
".DS_Store"
${CPACK_SOURCE_IGNORE_FILES}
)
set(CPACK_SOURCE_GENERATOR "TGZ" "ZIP" )
# ----------------
# Debian packages
# ----------------
# ----------------------------------
# Unix packages (Ubuntu and Debian)
# ----------------------------------
if (UNIX AND NOT WIN32)
message(STATUS "Packaging CamiTK for UNIX systems")
......@@ -149,7 +154,7 @@ if (UNIX AND NOT WIN32)
if("${LSB_DISTRIB}" MATCHES "Ubuntu12.04.1")
set(LSB_DISTRIB "Ubuntu12.xx")
set(CPACK_DEBIAN_PACKAGE_DEPENDS "libqt4-dev, libinsighttoolkit3.20, libxml2, libvtk5.8-qt4, libxerces-c3.1 ")
endif()
endif()
if("${LSB_DISTRIB}" MATCHES "Ubuntu12.10")
set(LSB_DISTRIB "Ubuntu12.xx")
set(CPACK_DEBIAN_PACKAGE_DEPENDS "libqt4-dev, libinsighttoolkit3.20, libxml2, libvtk5.8-qt4, libxerces-c3.1 ")
......
......@@ -142,6 +142,8 @@ if(NOT ${CAMITK_INSTALL_ROOT} EQUAL "")
include(CamiTKVariables)
include(CamiTKMacros)
include(CamiTKTestMacros)
# include package generation
include(CamiTKExtensionPackaging)
# set install path
set (CMAKE_INSTALL_PREFIX ${CAMITK_INSTALL_ROOT} CACHE PATH "Path to install dir (deduced from CAMITK_INSTALL_ROOT)" FORCE)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment